#
# spec file for package cosmic-files
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define         appname com.system76.CosmicFiles
Name:           cosmic-files
Version:        1.0.0~alpha2
Release:        1.1
Summary:        COSMIC file manager
License:        GPL-3.0-only
URL:            https://github.com/pop-os/cosmic-files
Source0:        %{name}-%{version}.tar.zst
Source1:        vendor.tar.zst
BuildRequires:  cargo-packaging
BuildRequires:  git-core
BuildRequires:  hicolor-icon-theme
BuildRequires:  just
BuildRequires:  pkgconfig
BuildRequires:  update-desktop-files
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(xkbcommon)

%description
File manager for the COSMIC desktop environment

%prep
%autosetup -a1

%build
just build-release

%install
just rootdir=%{buildroot} prefix=%{_prefix} install
%suse_update_desktop_file %{appname}

%check
# take too long on OBS, gets killed
# %%{cargo_test}

%files
%license LICENSE
%doc README.md
%{_bindir}/%{name}
%{_bindir}/%{name}-applet
%{_datadir}/applications/%{appname}.desktop
%{_datadir}/icons/hicolor/*/apps/%{appname}.svg
%{_datadir}/metainfo/%{appname}.metainfo.xml

%changelog
* Wed Sep 25 2024 Richard Rahl <rrahl0@opensuse.org>
- update to 1.0.0~alpha2:
  * fix: add padding to context menu divider
  * feat: add missing file menu entries
  * Continue operations in the background if the window is closed
  * fix: add settings keybind
  * Clear and close search field on nav
  * Activate navbar selection on init and when switching tabs
  * Sort modified descending on initial click
  * fix icons
  * Fix scrolling item into view when using arrow keys
  * Fix breadcrumbs to use pointer mouse cursor
  * Don't focus tab when opening folder in new tab
  * Select previous directory when navigating back
  * Add Open item location for search results, fixes
  * Show symlinked directories as directories
  * Enable extracting zip files to current folder
  * removed examples from cargo.toml
  * Display file ownership and permissions
  * fix app name
  * updated translations
* Thu Aug  8 2024 Richard Rahl <rrahl0@opensuse.org>
- standardize packaging with also fixes for miscellaneous hardcoding
  filenames, using @PARENT_TAG where applicable, and be more specific
  with files in the %%files section (so no non-wanted files are getting
  added
* Wed Aug  7 2024 Richard Rahl <rrahl0@opensuse.org>
- update to 1.0.0~alpha1:
  * fix: don't scroll sorting headings
  * undo toaster
  * update translations
- enable leap (thanks to vyvir)
* Sun Jul 14 2024 Richard Rahl <rrahl0@opensuse.org>
- disable tests for now, as they get killed on OBS
* Wed Mar 13 2024 Richard Rahl <rrahl0@proton.me>
- initial packaging
